Bug 752024

Summary: [abrt] coreutils-8.10-2.fc15: __read_nocancel: Process /usr/bin/md5sum was killed by signal 6 (SIGABRT)
Product: [Fedora] Fedora Reporter: Denys Vlasenko <dvlasenk>
Component: coreutilsAssignee: Ondrej Vasik <ovasik>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: kdudka, maxamillion, ovasik, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-08 06:25:30 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 740238    
Bug Blocks: 752028    

Description Denys Vlasenko 2011-11-08 06:18:37 EST
libreport version: 2.0.8
abrt_version:   2.0.5
backtrace_rating: 4
cmdline:        md5sum  sss
comment:        esgfadsf asdf asd
crash_function: __read_nocancel
executable:     /usr/bin/md5sum
kernel:         2.6.38.7-30.fc15.i686.PAE
pid:            27362
pwd:            /root/srcdevel/abrt/abrt
reason:         Process /usr/bin/md5sum was killed by signal 6 (SIGABRT)
time:           Tue 01 Nov 2011 05:30:44 PM CET
uid:            0
username:       root

backtrace:
:[New LWP 27362]
:Core was generated by `md5sum'.
:Program terminated with signal 6, Aborted.
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/sysenter.S:49
:49	arch/x86/vdso/vdso32/sysenter.S: No such file or directory.
:	in arch/x86/vdso/vdso32/sysenter.S
:
:Thread 1 (LWP 27362):
:#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/sysenter.S:49
:No locals.
:#1  0x00eae163 in __read_nocancel () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#2  0x00e517d4 in _IO_file_xsgetn (fp=0xf6c5a0, data=0xa040860, n=32768) at fileops.c:1480
:        want = 32768
:        have = <optimized out>
:        count = <optimized out>
:        s = 0xa040860 ""
:#3  0x00e52748 in _IO_sgetn (fp=0xf6c5a0, data=0xa040860, n=32768) at genops.c:500
:No locals.
:#4  0x00e4ec70 in __GI_fread_unlocked (buf=0xa040860, size=1, count=32768, fp=0xf6c5a0) at iofread_u.c:45
:        bytes_requested = 32768
:        bytes_read = <optimized out>
:#5  0x0804bc5b in fread_unlocked (__stream=0xf6c5a0, __n=32768, __size=1, __ptr=0xa040860) at /usr/include/bits/stdio2.h:372
:No locals.
:#6  md5_stream (stream=0xf6c5a0, resblock=0xbfcaed24) at md5.c:162
:        n = <optimized out>
:        ctx = {A = 1514363286, B = 2632295297, C = 3050109264, D = 1328172954, total = {219643904, 0}, buflen = 0, buffer = {0, 0, 134547920, 0, 14618068, 134547808, 134538374, 2, 0, 0, 15416824, 16172448, 134538374, 134547808, 3217747236, 134521972, 0, 0, 0, 0, 0, 2, 3217747236, 14992016, 16172448, 134521910, 134547808, 134522064, 0, 0, 0, 0}}
:        sum = 0
:        buffer = 0xa040860 ""
:#7  0x08049fa1 in digest_file (filename=0x804e486 "-", bin_result=0xbfcaed24 "`\t\005\b\001", binary=<optimized out>) at md5sum.c:416
:        fp = 0xf6c5a0
:        err = <optimized out>
:        is_stdin = <optimized out>
:#8  0x080495a3 in main (argc=2, argv=0xbfcaee04) at md5sum.c:716
:        file_is_binary = 0
:        file = 0x804e486 "-"
:        bin_buffer_unaligned = "`\t\005\b\001\000\000\000\315\213\004\b\000\000\000\000\001\000\000"
:        bin_buffer = 0xbfcaed24 "`\t\005\b\001"
:        do_check = false
:        opt = <optimized out>
:        ok = true
:        binary = 0
:From        To          Syms Read   Shared Object Library
:0x00dfad10  0x00f18d24  Yes         /lib/libc.so.6
:0x00794850  0x007abaff  Yes         /lib/ld-linux.so.2
:$1 = 0x0
:No symbol "__glib_assert_msg" in current context.
:eax            0x2000	8192
:ecx            0xa040860	168036448
:edx            0x8000	32768
:ebx            0x0	0
:esp            0xbfcaeb0c	0xbfcaeb0c
:ebp            0xa040860	0xa040860
:esi            0xf6c5a0	16172448
:edi            0x8000	32768
:eip            0x602424	0x602424 <__kernel_vsyscall+16>
:eflags         0x246	[ PF ZF IF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __kernel_vsyscall:
:   0x00602414 <+0>:	push   %ecx
:   0x00602415 <+1>:	push   %edx
:   0x00602416 <+2>:	push   %ebp
:   0x00602417 <+3>:	mov    %esp,%ebp
:   0x00602419 <+5>:	sysenter 
:   0x0060241b <+7>:	nop
:   0x0060241c <+8>:	nop
:   0x0060241d <+9>:	nop
:   0x0060241e <+10>:	nop
:   0x0060241f <+11>:	nop
:   0x00602420 <+12>:	nop
:   0x00602421 <+13>:	nop
:   0x00602422 <+14>:	jmp    0x602417 <__kernel_vsyscall+3>
:=> 0x00602424 <+16>:	pop    %ebp
:   0x00602425 <+17>:	pop    %edx
:   0x00602426 <+18>:	pop    %ecx
:   0x00602427 <+19>:	ret    
:End of assembler dump.

build_ids:
:837e1ca00132cf34660139487cceaddde3d607c5
:2ca8544b0ff9269420c23a0ac22da52b7894148b
:8fc878dfdb72544bffaf960f383d10ddfce54cc6
:eadee775fea6decdfedb95dde772d9f89ebac5fd

dso_list:
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313765360
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313765360
:/usr/bin/md5sum coreutils-8.10-2.fc15.i686 (Fedora Project) 1304539396
:/usr/lib/locale/locale-archive glibc-common-2.14-5.i686 (Fedora Project) 1313765338

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-root
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1724
:HOSTNAME=dhcp-25-63.brq.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:GPG_AGENT_INFO=/tmp/gpg-KRPaPR/S.gpg-agent:1739:1
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/bash
:TERM=xterm
:XDG_SESSION_COOKIE=ed074e4ba8d852c5627debbe0000000e-1320143355.202316-843428835
:HISTSIZE=1000
:CVSROOT=:ext:dvlasenk@cvs.fedora.redhat.com:/cvs/extras
:WINDOWID=50331653
:GNOME_KEYRING_CONTROL=/tmp/keyring-oF2Fzc
:IMSETTINGS_MODULE=none
:USER=root
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-QJcjyX1605/agent.1605
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1743,unix/unix:/tmp/.ICE-unix/1743
:PAGER=most
:XDG_CONFIG_DIRS=/etc/xdg
:MC_TMPDIR=/tmp/mc-root
:DESKTOP_SESSION=xfce
:MAIL=/var/spool/mail/root
:PATH=/bin:/root/bin:/usr/local/sbin:/usr/sbin:/sbin:/usr/local/bin:/usr/bin:/bin
:QT_IM_MODULE=xim
:PWD=/root/srcdevel/abrt/abrt
:XMODIFIERS=@im=none
:EDITOR=mcedit
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1597
:GDMSESSION=xfce
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=5
:HOME=/root
:LOGNAME=root
:CVS_RSH=ssh
:VISUAL=mcedit
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-WUZSTlepFg,guid=51d034bec1ecc74e66d1e1ac0000003b
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/root
:DISPLAY=:0.0
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-root-Tc6HrH/database
:COLORTERM=gnome-terminal
:_=/usr/bin/md5sum

maps:
:00602000-00603000 r-xp 00000000 00:00 0          [vdso]
:00794000-007b1000 r-xp 00000000 fd:01 1311429    /lib/ld-2.14.so
:007b1000-007b2000 r--p 0001d000 fd:01 1311429    /lib/ld-2.14.so
:007b2000-007b3000 rw-p 0001e000 fd:01 1311429    /lib/ld-2.14.so
:00de4000-00f69000 r-xp 00000000 fd:01 1311436    /lib/libc-2.14.so
:00f69000-00f6a000 ---p 00185000 fd:01 1311436    /lib/libc-2.14.so
:00f6a000-00f6c000 r--p 00185000 fd:01 1311436    /lib/libc-2.14.so
:00f6c000-00f6d000 rw-p 00187000 fd:01 1311436    /lib/libc-2.14.so
:00f6d000-00f70000 rw-p 00000000 00:00 0 
:08048000-08050000 r-xp 00000000 fd:01 3158071    /usr/bin/md5sum
:08050000-08051000 rw-p 00007000 fd:01 3158071    /usr/bin/md5sum
:0a040000-0a061000 rw-p 00000000 00:00 0          [heap]
:b7646000-b7846000 r--p 00000000 fd:01 3196917    /usr/lib/locale/locale-archive
:b7846000-b7847000 rw-p 00000000 00:00 0 
:b785d000-b785f000 rw-p 00000000 00:00 0 
:bfc8f000-bfcb0000 rw-p 00000000 00:00 0          [stack]

var_log_messages:
:Sep 19 16:48:36 abrt[14662]: saved core dump of pid 14660 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-09-19-16:48:36-14660.new/coredump (344064 bytes)
:Oct  6 14:19:18 abrt[7530]: saved core dump of pid 7528 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-06-14:19:18-7528 (344064 bytes)
:Oct  6 14:19:23 abrt[7554]: not dumping repeating crash in '/usr/bin/md5sum'
:Oct  6 14:19:44 abrt[7562]: saved core dump of pid 7560 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-06-14:19:44-7560 (344064 bytes)
:Oct 11 19:16:41 abrt[20564]: saved core dump of pid 20562 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-11-19:16:41-20562 (344064 bytes)
:Oct 12 14:59:34 abrt[28523]: saved core dump of pid 28521 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-12-14:59:34-28521 (344064 bytes)
:Oct 25 12:51:49 abrt[2367]: saved core dump of pid 2365 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-25-12:51:49-2365 (344064 bytes)
:Oct 25 14:03:12 abrt[2728]: saved core dump of pid 2726 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-25-14:03:12-2726 (344064 bytes)
:Oct 25 14:04:38 abrt[2765]: saved core dump of pid 2763 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-25-14:04:38-2763 (344064 bytes)
:Oct 25 22:30:14 abrt[8551]: saved core dump of pid 8549 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-25-22:30:14-8549 (344064 bytes)
:Oct 25 22:30:46 abrt[8654]: saved core dump of pid 8652 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-25-22:30:46-8652 (344064 bytes)
:Oct 25 22:32:03 abrt[8879]: saved core dump of pid 8877 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-25-22:32:03-8877 (344064 bytes)
:Oct 26 16:29:00 abrt[10642]: saved core dump of pid 10640 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-10-26-16:28:59-10640 (344064 bytes)
:Nov  1 17:30:44 abrt[27364]: Saved core dump of pid 27362 (/usr/bin/md5sum) to /var/spool/abrt/ccpp-2011-11-01-17:30:44-27362 (344064 bytes)
Comment 1 Denys Vlasenko 2011-11-08 06:20:13 EST
Abrt testing, please disregard